/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource["epages.register"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["epages.register"] = true;
/*  EPages JavaScript module, $Revision: 1.3 $
 *  (c) 2006 ePages GmbH
 *--------------------------------------------------------------------------
 */
dojo.provide("epages.register");
dojo.require("epages.lang.hash");

epages.register = function() {
	if (this.data === undefined){
		this.data = new epages.lang.Hash();
	}
	if (arguments.length == 0) {
		// constructor
		this.data = new epages.lang.Hash();
	} else if (arguments.length == 1) {
		// called as get function
		return this.data.get(arguments[0]);
	} else if (arguments.length == 2) {
		// called as set function
		return this.data.set(arguments[0], arguments[1]);
	}
};

epages.register.prototype = {};

}
